{# @var ea \EasyCorp\Bundle\EasyAdminBundle\Context\AdminContext #}
{# @var field \EasyCorp\Bundle\EasyAdminBundle\Dto\FieldDto #}
{# @var entity \EasyCorp\Bundle\EasyAdminBundle\Dto\EntityDto #}
{% set percentage = (field.value * 100 / field.customOption('maximumValue')) | round %}
{% set showPercentage = field.customOption('showPercentage') %}
{% if percentage > field.customOption('dangerLevel') %}
    <span class="badge badge-danger">{{ field.formattedValue }}{% if showPercentage %} ({{ percentage }}%){% endif %}</span>
{% elseif percentage > field.customOption('warningLevel') %}
    <span class="badge badge-warning">{{ field.formattedValue }}{% if showPercentage %} ({{ percentage }}%){% endif %}</span>
{% elseif field.value is not null %}
    <span class="badge badge-info">{{ field.formattedValue }}{% if showPercentage %} ({{ percentage }}%){% endif %}</span>
{% else %}
    <span class="badge badge-outline">{% trans %}None{% endtrans %}</span>
{% endif %}
